## com.google.appengine.api.search
Class AddDocumentsResponse

    java.lang.Object
      com.google.appengine.api.search.AddDocumentsResponse

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<OperationResult>

    public final class AddDocumentsResponse

extends java.lang.Object
implements java.lang.Iterable<OperationResult>, java.io.Serializable

Represents a result of adding a list of `Document` to the index. The response contains a list of `OperationResult` indicating success or not of adding each of the `Documents`, and a list of Id of the `Documents` which are those given in the request or allocated by the search service to those `Documents` which do not have an Id supplied.

See Also:
  Serialized Form

Method Summary
`java.util.List<java.lang.String>` `getDocumentIds()`
`java.util.List<OperationResult>` `getResults()`
`java.util.Iterator<OperationResult>` `iterator()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### iterator

    public java.util.Iterator<OperationResult> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<OperationResult>`

### getResults

    public java.util.List<OperationResult> getResults()

  Returns:
    an unmodifiable list of `OperationResult` indicating whether each `Document` was added or not

### getDocumentIds

    public java.util.List<java.lang.String> getDocumentIds()

  Returns:
    an unmodifiable list of `Document` Ids

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`